Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 35)
+++ admin/preferences.php	(revision 0)
@@ -15,5 +15,5 @@
 dcPage::check('usage,contentadmin');
 
-$page_title = __('My preferences');
+$page_title = __('User preferences');
 
 $user_name = $core->auth->getInfo('user_name');
@@ -28,17 +28,4 @@
 $user_options = $core->auth->getOptions();
 
-$core->auth->user_prefs->addWorkspace('dashboard');
-$user_dm_doclinks = $core->auth->user_prefs->dashboard->doclinks;
-$user_dm_dcnews = $core->auth->user_prefs->dashboard->dcnews;
-$user_dm_quickentry = $core->auth->user_prefs->dashboard->quickentry;
-
-$default_tab = 'user-profile';
-
-if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) || !empty($_GET['replaced'])) {
-	$default_tab = 'user-favorites';
-} elseif (!empty($_GET['updated'])) {
-	$default_tab = 'user-options';
-}
-
 foreach ($core->getFormaters() as $v) {
 	$formaters_combo[$v] = $v;
@@ -76,5 +63,13 @@
 		$cur->user_lang = $user_lang = $_POST['user_lang'];
 		$cur->user_tz = $user_tz = $_POST['user_tz'];
-
+		$cur->user_post_status = $user_post_status = $_POST['user_post_status'];
+		
+		$user_options['edit_size'] = (integer) $_POST['user_edit_size'];
+		if ($user_options['edit_size'] < 1) {
+			$user_options['edit_size'] = 10;
+		}
+		$user_options['post_format'] = $_POST['user_post_format'];
+		$user_options['enable_wysiwyg'] = !empty($_POST['user_wysiwyg']);
+		
 		$cur->user_options = new ArrayObject($user_options);
 		
@@ -93,5 +88,5 @@
 		
 		# --BEHAVIOR-- adminBeforeUserUpdate
-		$core->callBehavior('adminBeforeUserProfileUpdate',$cur,$core->auth->userID());
+		$core->callBehavior('adminBeforeUserUpdate',$cur,$core->auth->userID());
 		
 		# Udate user
@@ -99,5 +94,5 @@
 		
 		# --BEHAVIOR-- adminAfterUserUpdate
-		$core->callBehavior('adminAfterUserProfileUpdate',$cur,$core->auth->userID());
+		$core->callBehavior('adminAfterUserUpdate',$cur,$core->auth->userID());
 		
 		http::redirect('preferences.php?upd=1');
@@ -109,178 +104,4 @@
 }
 
-# Update user options
-if (isset($_POST['user_post_format'])) {
-	try
-	{
-		$cur = $core->con->openCursor($core->prefix.'user');
-		
-		$cur->user_name = $user_name;
-		$cur->user_firstname = $user_firstname;
-		$cur->user_displayname = $user_displayname;
-		$cur->user_email = $user_email;
-		$cur->user_url = $user_url;
-		$cur->user_lang = $user_lang;
-		$cur->user_tz = $user_tz;
-
-		$cur->user_post_status = $user_post_status = $_POST['user_post_status'];
-		
-		$user_options['edit_size'] = (integer) $_POST['user_edit_size'];
-		if ($user_options['edit_size'] < 1) {
-			$user_options['edit_size'] = 10;
-		}
-		$user_options['post_format'] = $_POST['user_post_format'];
-		$user_options['enable_wysiwyg'] = !empty($_POST['user_wysiwyg']);
-		
-		$cur->user_options = new ArrayObject($user_options);
-		
-		# --BEHAVIOR-- adminBeforeUserUpdate
-		$core->callBehavior('adminBeforeUserUpdate',$cur,$core->auth->userID());
-		
-		# Update user prefs
-		$core->auth->user_prefs->dashboard->put('doclinks',!empty($_POST['user_dm_doclinks']),'boolean');
-		$core->auth->user_prefs->dashboard->put('dcnews',!empty($_POST['user_dm_dcnews']),'boolean');
-		$core->auth->user_prefs->dashboard->put('quickentry',!empty($_POST['user_dm_quickentry']),'boolean');
-		
-		# Udate user
-		$core->updUser($core->auth->userID(),$cur);
-		
-		# --BEHAVIOR-- adminAfterUserUpdate
-		$core->callBehavior('adminAfterUserUpdate',$cur,$core->auth->userID());
-		
-		http::redirect('preferences.php?updated=1');
-	}
-	catch (Exception $e)
-	{
-		$core->error->add($e->getMessage());
-	}
-}
-
-# Add selected favorites
-if (!empty($_POST['appendaction']) && !empty($_POST['append'])) {
-	$ws = $core->auth->user_prefs->addWorkspace('favorites');
-	$user_favs = $ws->DumpLocalPrefs();
-	$count = count($user_favs);
-	foreach ($_POST['append'] as $k => $v)
-	{
-		try {
-			$found = false;
-			foreach ($user_favs as $f) {
-				$f = unserialize($f['value']);
-				if ($f['name'] == $v) {
-					$found = true;
-					break;
-				}
-			}
-			if (!$found) {
-				$uid = sprintf("u%03s",$count);
-				$fav = array('name' => $_fav[$v][0],'title' => $_fav[$v][1],'url' => $_fav[$v][2],'small-icon' => $_fav[$v][3],
-					'large-icon' => $_fav[$v][4],'permissions' => $_fav[$v][5],'id' => $_fav[$v][6],'class' => $_fav[$v][7]);
-				$core->auth->user_prefs->favorites->put($uid,serialize($fav),'string');
-				$count++;
-			}
-		} catch (Exception $e) {
-			$core->error->add($e->getMessage());
-			break;
-		}
-	}
-	
-	if (!$core->error->flag()) {
-		http::redirect('preferences.php?append=1');
-	}
-}
-
-# Delete selected favorites
-if (!empty($_POST['removeaction']) && !empty($_POST['remove'])) {
-	$ws = $core->auth->user_prefs->addWorkspace('favorites');
-	foreach ($_POST['remove'] as $k => $v)
-	{
-		try {
-			$core->auth->user_prefs->favorites->drop($v);
-		} catch (Exception $e) {
-			$core->error->add($e->getMessage());
-			break;
-		}
-	}
-	// Update pref_id values
-	try {
-		$user_favs = $ws->DumpLocalPrefs();
-		$core->auth->user_prefs->favorites->dropAll();
-		$count = 0;
-		foreach ($user_favs as $k => $v)
-		{
-			$uid = sprintf("u%03s",$count);
-			$f = unserialize($v['value']);
-			$fav = array('name' => $f['name'],'title' => $f['title'],'url' => $f['url'],'small-icon' => $f['small-icon'],
-				'large-icon' => $f['large-icon'],'permissions' => $f['permissions'],'id' => $f['id'],'class' => $f['class']);
-			$core->auth->user_prefs->favorites->put($uid,serialize($fav),'string');
-			$count++;
-		}
-	} catch (Exception $e) {
-		$core->error->add($e->getMessage());
-	}
-	
-	if (!$core->error->flag()) {
-		http::redirect('preferences.php?removed=1');
-	}
-}
-
-# Order favs
-$order = array();
-if (empty($_POST['favs_order']) && !empty($_POST['order'])) {
-	$order = $_POST['order'];
-	asort($order);
-	$order = array_keys($order);
-} elseif (!empty($_POST['favs_order'])) {
-	$order = explode(',',$_POST['favs_order']);
-}
-
-if (!empty($_POST['saveorder']) && !empty($order))
-{
-	try {
-		$ws = $core->auth->user_prefs->addWorkspace('favorites');
-		$user_favs = $ws->DumpLocalPrefs();
-		$core->auth->user_prefs->favorites->dropAll();
-		$count = 0;
-		foreach ($order as $i => $k) {
-			$uid = sprintf("u%03s",$count);
-			$f = unserialize($user_favs[$k]['value']);
-			$fav = array('name' => $f['name'],'title' => $f['title'],'url' => $f['url'],'small-icon' => $f['small-icon'],
-				'large-icon' => $f['large-icon'],'permissions' => $f['permissions'],'id' => $f['id'],'class' => $f['class']);
-			$core->auth->user_prefs->favorites->put($uid,serialize($fav),'string');
-			$count++;
-		}
-	} catch (Exception $e) {
-		$core->error->add($e->getMessage());
-	}
-
-	if (!$core->error->flag()) {
-		http::redirect('preferences.php?&neworder=1');
-	}
-}
-
-# Replace default favorites by current set (super admin only)
-if (!empty($_POST['replace']) && $core->auth->isSuperAdmin()) {
-	try {
-		$ws = $core->auth->user_prefs->addWorkspace('favorites');
-		$user_favs = $ws->DumpLocalPrefs();
-		$core->auth->user_prefs->favorites->dropAll(true);
-		$count = 0;
-		foreach ($user_favs as $k => $v)
-		{
-			$uid = sprintf("g%03s",$count);
-			$f = unserialize($v['value']);
-			$fav = array('name' => $f['name'],'title' => $f['title'],'url' => $f['url'],'small-icon' => $f['small-icon'],
-				'large-icon' => $f['large-icon'],'permissions' => $f['permissions'],'id' => $f['id'],'class' => $f['class']);
-			$core->auth->user_prefs->favorites->put($uid,serialize($fav),'string',null,null,true);
-			$count++;
-		}
-	} catch (Exception $e) {
-		$core->error->add($e->getMessage());
-	}
-
-	if (!$core->error->flag()) {
-		http::redirect('preferences.php?&replaced=1');
-	}
-}
 
 /* DISPLAY
@@ -288,6 +109,4 @@
 dcPage::open($page_title,
 	dcPage::jsLoad('js/_preferences.js').
-	dcPage::jsLoad('js/jquery/jquery-ui-1.8.12.custom.min.js').
-	dcPage::jsPageTabs($default_tab).
 	dcPage::jsConfirmClose('user-form').
 	
@@ -299,43 +118,26 @@
 		echo '<p class="message">'.__('Personal information has been successfully updated.').'</p>';
 }
-if (!empty($_GET['updated'])) {
-		echo '<p class="message">'.__('Personal options has been successfully updated.').'</p>';
-}
-if (!empty($_GET['append'])) {
-		echo '<p class="message">'.__('Favorites have been successfully added.').'</p>';
-}
-if (!empty($_GET['neworder'])) {
-	echo '<p class="message">'.__('Favorites has been successfully updated.').'</p>';
-}
-if (!empty($_GET['removed'])) {
-		echo '<p class="message">'.__('Favorites have been successfully removed.').'</p>';
-}
-if (!empty($_GET['replaced'])) {
-		echo '<p class="message">'.__('Default favorites have been successfully updated.').'</p>';
-}
 
 echo '<h2>'.$page_title.'</h2>';
 
-# User profile
-echo '<div class="multi-part" id="user-profile" title="'.__('My profile').'">';
 
 echo
 '<form action="preferences.php" method="post" id="user-form">'.
-'<fieldset><legend>'.__('My profile').'</legend>'.
+'<fieldset><legend>'.__('User preferences').'</legend>'.
 '<div class="two-cols">'.
 '<div class="col">'.
-'<p><label for="user_name">'.__('Last Name:').
+'<p><label>'.__('Last Name:').
 form::field('user_name',20,255,html::escapeHTML($user_name),'',2).'</label></p>'.
 
-'<p><label for="user_firstname">'.__('First Name:').
+'<p><label>'.__('First Name:').
 form::field('user_firstname',20,255,html::escapeHTML($user_firstname),'',3).'</label></p>'.
 
-'<p><label for="user_displayname">'.__('Display name:').
+'<p><label>'.__('Display name:').
 form::field('user_displayname',20,255,html::escapeHTML($user_displayname),'',4).'</label></p>'.
 
-'<p><label for="user_email">'.__('Email:').
+'<p><label>'.__('Email:').
 form::field('user_email',20,255,html::escapeHTML($user_email),'',5).'</label></p>'.
 
-'<p><label for="user_url">'.__('URL:').
+'<p><label>'.__('URL:').
 form::field('user_url',30,255,html::escapeHTML($user_url),'',6).'</label></p>'.
 
@@ -344,14 +146,29 @@
 '<div class="col">'.
 
-'<p><label for="user_lang">'.__('User language:').
+'<p><label>'.__('Preferred format:').
+form::combo('user_post_format',$formaters_combo,$user_options['post_format'],'',7).'</label></p>'.
+
+'<p><label>'.__('Default entry status:').
+form::combo('user_post_status',$status_combo,$user_post_status,'',8).'</label></p>'.
+
+'<p><label>'.__('Entry edit field height:').
+form::field('user_edit_size',5,4,(integer) $user_options['edit_size'],'',9).'</label></p>'.
+
+'<p><label>'.__('User language:').
 form::combo('user_lang',$lang_combo,$user_lang,'l10n',10).'</label></p>'.
 
-'<p><label for="user_tz">'.__('User timezone:').
+'<p><label>'.__('User timezone:').
 form::combo('user_tz',dt::getZones(true,true),$user_tz,'',11).'</label></p>'.
 
+'<p><label class="classic">'.
+form::checkbox('user_wysiwyg',1,$user_options['enable_wysiwyg'],'',12).' '.
+__('Enable WYSIWYG mode').'</label></p>'.
 '</div>'.
 '</div>'.
 '<br class="clear" />'. //Opera sucks
 '</fieldset>';
+
+# --BEHAVIOR-- adminPreferencesForm
+$core->callBehavior('adminPreferencesForm',$core);
 
 if ($core->auth->allowPassChange())
@@ -361,8 +178,8 @@
 	'<legend>'.__('Change your password').'</legend>'.
 	
-	'<p><label for="new_pwd">'.__('New password:').
+	'<p><label>'.__('New password:').
 	form::password('new_pwd',20,255,'','',30).'</label></p>'.
 	
-	'<p><label for="new_pwd_c">'.__('Confirm password:').
+	'<p><label>'.__('Confirm password:').
 	form::password('new_pwd_c',20,255,'','',31).'</label></p>'.
 	'</fieldset>'.
@@ -370,5 +187,5 @@
 	'<fieldset>'.
 	'<p>'.__('If you want to change your email or password you must provide your current password.').'</p>'.
-	'<p><label for="cur_pwd">'.__('Your password:').
+	'<p><label>'.__('Your password:').
 	form::password('cur_pwd',20,255,'','',32).'</label></p>'.
 	'</fieldset>';
@@ -381,154 +198,4 @@
 '</form>';
 
-echo '</div>';
-
-# User options : some from actual user profile, dashboard modules, ...
-echo '<div class="multi-part" id="user-options" title="'.__('My options').'">';
-
-echo
-'<form action="preferences.php" method="post" id="user-options">'.
-'<fieldset><legend>'.__('My options').'</legend>'.
-
-'<p><label for="user_post_format">'.__('Preferred format:').
-form::combo('user_post_format',$formaters_combo,$user_options['post_format'],'',7).'</label></p>'.
-
-'<p><label for="user_post_status">'.__('Default entry status:').
-form::combo('user_post_status',$status_combo,$user_post_status,'',8).'</label></p>'.
-
-'<p><label for="user_edit_size">'.__('Entry edit field height:').
-form::field('user_edit_size',5,4,(integer) $user_options['edit_size'],'',9).'</label></p>'.
-
-'<p><label for="user_wysiwyg" class="classic">'.
-form::checkbox('user_wysiwyg',1,$user_options['enable_wysiwyg'],'',12).' '.
-__('Enable WYSIWYG mode').'</label></p>'.
-'<br class="clear" />'. //Opera sucks
-'</fieldset>';
-
-echo
-'<fieldset><legend>'.__('Dashboard modules').'</legend>'.
-
-'<p><label for="user_dm_doclinks" class="classic">'.
-form::checkbox('user_dm_doclinks',1,$user_dm_doclinks,'',13).' '.
-__('Display documentation links').'</label></p>'.
-
-'<p><label for="user_dm_dcnews" class="classic">'.
-form::checkbox('user_dm_dcnews',1,$user_dm_dcnews,'',14).' '.
-__('Display Dotclear news').'</label></p>'.
-
-'<p><label for="user_dm_quickentry" class="classic">'.
-form::checkbox('user_dm_quickentry',1,$user_dm_quickentry,'',15).' '.
-__('Display quick entry form').'</label></p>'.
-
-'<br class="clear" />'. //Opera sucks
-'</fieldset>';
-
-# --BEHAVIOR-- adminPreferencesForm
-$core->callBehavior('adminPreferencesForm',$core);
-
-echo
-'<p class="clear">'.
-$core->formNonce().
-'<input type="submit" accesskey="s" value="'.__('Save').'" tabindex="33" /></p>'.
-'</form>';
-
-echo '</div>';
-
-# User favorites
-echo '<div class="multi-part" id="user-favorites" title="'.__('My favorites').'">';
-$ws = $core->auth->user_prefs->addWorkspace('favorites');
-echo '<form action="preferences.php" method="post" id="favs-form">';
-echo '<div class="two-cols">';
-echo '<div class="col70">';
-echo '<fieldset id="my-favs"><legend>'.__('My favorites').'</legend>';
-
-$count = 0;
-foreach ($ws->dumpPrefs() as $k => $v) {
-	// User favorites only
-	if (!$v['global']) {
-		$fav = unserialize($v['value']);
-		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			if ($count == 0) echo '<ul>';
-			$count++;
-			echo '<li id="fu-'.$k.'">'.
-				'<img src="'.$fav['large-icon'].'" alt="" /> '.
-				form::field(array('order['.$k.']'),2,3,$count,'position','',false,'title="'.sprintf(__('position of %s'),$fav['title']).'"').
-				form::hidden('dynorder[]',$k).
-				'<label for="fuk-'.$k.'">'.form::checkbox(array('remove[]','fuk-'.$k),$k).$fav['title'].'</label>'.
-				'</li>';
-		}
-	}
-}
-if ($count > 0) echo '</ul>';
-if ($count > 0) {
-	echo
-	'<div class="clear">'.
-	'<p class="col">'.form::hidden('favs_order','').
-	$core->formNonce().
-	'<input type="submit" name="saveorder" value="'.__('Save order').'">'.
-	($core->auth->isSuperAdmin() ? ' <input class="reset" type="submit" name="replace" value="'.__('Define as default favorites').'">' : '').
-	'</p>'.
-	
-	'<p class="right"><input type="submit" class="delete" name="removeaction"'.
-	'value="'.__('Delete selected favorites').'" '.
-	'onclick="return window.confirm(\''.html::escapeJS(
-		__('Are you sure you want to remove selected favorites?')).'\');" /></p>'.
-	'</div>';
-} else {
-	echo
-	'<p>'.__('Currently no personal favorites.').'</p>';
-}
-
-echo '</fieldset>';
-
-echo '<div id="default-favs"><h3>'.__('Default favorites').'</h3>';
-echo '<p class="form-note clear">'.__('Those favorites are displayed when My Favorites list is empty.').'</p>';
-$count = 0;
-foreach ($ws->dumpPrefs() as $k => $v) {
-	// Global favorites only
-	if ($v['global']) {
-		$fav = unserialize($v['value']);
-		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			if ($count == 0) echo '<ul class="fav-list">';
-			$count++;
-			echo '<li id="fd-'.$k.'">'.
-			'<img src="'.$fav['small-icon'].'" alt="" /> '.$fav['title'].'</li>';
-		}
-	}
-}	
-if ($count > 0) echo '</ul>';
-echo '</div>';
-echo '</div>';
-echo '<div class="col30" id="available-favs">';
-# Available favorites
-echo '<fieldset><legend>'.__('Available favorites').'</legend>';
-$count = 0;
-$array = $_fav;
-function cmp($a,$b) {
-    if ($a[1] == $b[1]) {
-        return 0;
-    }
-    return ($a[1] < $b[1]) ? -1 : 1;
-}
-$array->uasort('cmp');
-foreach ($array as $k => $fav) {
-	if (($fav[5] == '*') || $core->auth->check($fav[5],$core->blog->id)) {
-		if ($count == 0) echo '<ul class="fav-list">';
-		$count++;
-		echo '<li id="fa-'.$fav[0].'">'.'<label for="fak-'.$fav[0].'">'.
-			form::checkbox(array('append[]','fak-'.$fav[0]),$k).
-			'<img src="'.$fav[3].'" alt="" /> '.'<span class="zoom"><img src="'.$fav[4].'" alt="" /></span>'.$fav[1].
-			'</label>'.'</li>';
-	}
-}	
-if ($count > 0) echo '</ul>';
-echo
-'<p>'.
-$core->formNonce().
-'<input type="submit" name="appendaction" value="'.__('Add to my favorites').'"></p>';
-echo '</div>';
-echo '</div>'; # Two-cols
-echo '</form>';
-echo '</div>'; # user-favorites
-
 dcPage::helpBlock('core_user_pref');
 dcPage::close();
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 3)
+++ admin/update.php	(revision 0)
@@ -198,5 +198,5 @@
 		sprintf(__('You should not revert to version prior to last one (%s).'),end($archives)).
 		'</p>'.
-		'<p><input type="submit" class="delete" name="b_del" value="'.__('Delete selected file').'" /> '.
+		'<p><input type="submit" name="b_del" value="'.__('Delete selected file').'" /> '.
 		'<input type="submit" name="b_revert" value="'.__('Revert to selected file').'" />'.
 		$core->formNonce().'</p>'.
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 3)
+++ admin/users.php	(revision 0)
@@ -117,7 +117,7 @@
 	}
 	
-	echo 
-	'<h2>'.__('Users').'</h2>'.
-	'<p class="top-add"><strong><a class="button add" href="user.php"><img src="images/add.png" alt="" />'.__('Create a new user').'</a></strong></p>';
+	echo '<h2>'.__('Users').'</h2>';
+	
+	echo '<p><strong><a href="user.php">'.__('Create a new user').'</a></strong></p>';
 	
 	if (!$show_filters) {
@@ -144,5 +144,5 @@
 	'<p><label class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
 	__('Users per page').'</label> '.
-	'<input type="submit" value="'.__('Apply filters').'" /></p>'.
+	'<input type="submit" value="'.__('filter').'" /></p>'.
 	'</div>'.
 	
Index: inc/admin/class.dc.menu.php
===================================================================
--- inc/admin/class.dc.menu.php	(revision 3)
+++ inc/admin/class.dc.menu.php	(revision 0)
@@ -25,15 +25,15 @@
 	}
 	
-	public function addItem($title,$url,$img,$active,$show=true,$id=null,$class=null)
+	public function addItem($title,$url,$img,$active,$show=true,$id=null)
 	{
 		if($show) {
-			$this->items[] = $this->itemDef($title,$url,$img,$active,$id,$class);
+			$this->items[] = $this->itemDef($title,$url,$img,$active,$id);
 		}
 	}
 	
-	public function prependItem($title,$url,$img,$active,$show=true,$id=null,$class=null)
+	public function prependItem($title,$url,$img,$active,$show=true,$id=null)
 	{
 		if ($show) {
-			array_unshift($this->items,$this->itemDef($title,$url,$img,$active,$id,$class));
+			array_unshift($this->items,$this->itemDef($title,$url,$img,$active,$id));
 		}
 	}
@@ -65,5 +65,5 @@
 	}
 	
-	protected function itemDef($title,$url,$img,$active,$id=null,$class=null)
+	protected function itemDef($title,$url,$img,$active,$id=null)
 	{
 		if (is_array($url)) {
@@ -76,5 +76,5 @@
 		
 		return
-		'<li'.(($active || $class) ? ' class="'.(($active) ? 'active ' : '').(($class) ? $class : '').'"' : '').
+		'<li'.(($active) ? ' class="active"' : '').
 		(($id) ? ' id="'.$id.'"' : '').
 		(($img) ? ' style="background-image: url('.$img.');"' : '').
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 42)
+++ inc/admin/lib.dc.page.php	(revision 37)
@@ -122,10 +122,7 @@
 		'<form action="index.php" method="post"><div>'.
 		$blog_box.
-		'<a href="'.$core->blog->url.'"onclick="window.open(this.href);return false;" title="'.__('Go to site').' ('.__('new window').')'.'">'.__('Go to site').' <img src="images/outgoing.png" alt="" /></a>'.
-		'</div></form>'.
-		'</div>'.
-		'<div id="info-box2"><form action="index.php" method="post><div>"'.
-		' '.__('User:').' <strong>'.$core->auth->userID().'</strong>'.
-		' - <a href="index.php?logout=1" class="logout">'.__('Logout').' <img src="images/logout.png" alt="" /></a>'.
+		' - <a href="'.$core->blog->url.'" class="button">'.__('View site').'</a>'.
+		' - '.__('User:').' <strong>'.$core->auth->userID().'</strong>'.
+		' - <a href="index.php?logout=1" class="logout">'.__('Logout').'</a>'.
 		'</div></form>'.
 		'</div>';
@@ -169,7 +166,6 @@
 		echo
 		'</div>'."\n".		// End of #main-menu
-		'<div id="footer"><p>'.
-		sprintf(__('Thank you for using %s.'),'<a href="http://dotclear.org/">Dotclear '.DC_VERSION.'</a>').
-		' <span class="credit"> (Icons by <a href="http://dryicons.com/">Dryicons</a>)</span>'.
+		'<div id="footer"><p><img src="images/dotclear_pw.png" alt="Dotclear" /> '.
+		sprintf(__('Thank you for using %s.'),'<a href="http://dotclear.org/">Dotclear</a>').
 		'</p></div>'."\n".
 		"</div>\n";		// End of #wrapper
@@ -336,5 +332,5 @@
 		
 		echo
-		'<div id="help"><hr /><div class="help-content clear"><h2>'.__('Help').'</h2>'.
+		'<div id="help"><hr /><div class="help-content"><h2>'.__('Help').'</h2>'.
 		$content.
 		'</div></div>';
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 3)
+++ inc/admin/prepend.php	(revision 0)
@@ -138,13 +138,4 @@
 		http::redirect('auth.php');
 	}
-
-/*	
-	# Check add to my fav fired
-	if (!empty($_REQUEST['add-favorite'])) {
-		$redir = $_SERVER['REQUEST_URI'];
-		# Extract admin page from URI
-		# TO BE COMPLETED
-	}
-*/
 }
 
@@ -168,56 +159,7 @@
 	}
 	unset($hfiles,$locales_root);
-
-	# Standard favorites
-	$_fav = new ArrayObject();
-
-	# [] : Title, URL, small icon, large icon, permissions, id, class
-	# NB : '*' in permissions means any, null means super admin only
-	
-	$_fav['prefs'] = new ArrayObject(array('prefs',__('My preferences'),'preferences.php',
-		'images/menu/user-pref.png','images/menu/user-pref-b.png',
-		'*',null,null));
-
-	$_fav['new_post'] = new ArrayObject(array('new_post',__('New entry'),'post.php',
-		'images/menu/edit.png','images/menu/edit-b.png',
-		'usage,contentadmin',null,'menu-new-post'));
-	$_fav['posts'] = new ArrayObject(array('posts',__('Entries'),'posts.php',
-		'images/menu/entries.png','images/menu/entries-b.png',
-		'usage,contentadmin',null,null));
-	$_fav['comments'] = new ArrayObject(array('comments',__('Comments'),'comments.php',
-		'images/menu/comments.png','images/menu/comments-b.png',
-		'usage,contentadmin',null,null));
-	$_fav['search'] = new ArrayObject(array('search',__('Search'),'search.php',
-		'images/menu/search.png','images/menu/search-b.png',
-		'usage,contentadmin',null,null));
-	$_fav['categories'] = new ArrayObject(array('categories',__('Categories'),'categories.php',
-		'images/menu/categories.png','images/menu/categories-b.png',
-		'categories',null,null));
-	$_fav['media'] = new ArrayObject(array('media',__('Media manager'),'media.php',
-		'images/menu/media.png','images/menu/media-b.png',
-		'media,media_admin',null,null));
-	$_fav['blog_pref'] = new ArrayObject(array('blog_pref',__('Blog settings'),'blog_pref.php',
-		'images/menu/blog-pref.png','images/menu/blog-pref-b.png',
-		'admin',null,null));
-	$_fav['blog_theme'] = new ArrayObject(array('blog_theme',__('Blog appearance'),'blog_theme.php',
-		'images/menu/themes.png','images/menu/blog-theme-b.png',
-		'admin',null,null));
-
-	$_fav['blogs'] = new ArrayObject(array('blogs',__('Blogs'),'blogs.php',
-		'images/menu/blogs.png','images/menu/blogs-b.png',
-		'usage,contentadmin',null,null));
-	$_fav['users'] = new ArrayObject(array('users',__('Users'),'users.php',
-		'images/menu/users.png','images/menu/users-b.png',
-		null,null,null));
-	$_fav['plugins'] = new ArrayObject(array('plugins',__('Plugins'),'plugins.php',
-		'images/menu/plugins.png','images/menu/plugins-b.png',
-		null,null,null));
-	$_fav['langs'] = new ArrayObject(array('langs',__('Languages'),'langs.php',
-		'images/menu/langs.png','images/menu/langs-b.png',
-		null,null,null));
 	
 	# Menus creation
 	$_menu['Dashboard'] = new dcMenu('dashboard-menu',null);
-	$_menu['Favorites'] = new dcMenu('favorites-menu','My favorites');
 	$_menu['Blog'] = new dcMenu('blog-menu','Blog');
 	$_menu['System'] = new dcMenu('system-menu','System');
@@ -226,7 +168,4 @@
 	# Loading plugins
 	$core->plugins->loadModules(DC_PLUGINS_ROOT,'admin',$_lang);
-
-	# Loading favorites info from plugins
-	$core->callBehavior('adminDashboardFavs', $core, $_fav);
 	
 	# Set menu titles
@@ -235,16 +174,5 @@
 	$_menu['Blog']->title = __('Blog');
 	$_menu['Plugins']->title = __('Plugins');
-	$_menu['Favorites']->title = __('My favorites');
-
-/*	
-	if (!preg_match('/index.php$/',$_SERVER['REQUEST_URI'])) {
-		# Admin index can't be add in fav's
-		$_menu['Dashboard']->prependItem(__('Add this page to my favorites'),'#','images/menu/add_to_favorites.png',
-			false,$core->auth->check('usage,contentadmin',$core->blog->id),'fav-add');
-	}
-*/
-	$_menu['Dashboard']->prependItem(__('My preferences'),'preferences.php','images/menu/user-pref.png',
-		preg_match('/preferences.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
-		true);
+	
 	$_menu['Dashboard']->prependItem(__('Dashboard'),'index.php','images/menu/dashboard.png',
 		preg_match('/index.php$/',$_SERVER['REQUEST_URI']),
@@ -253,7 +181,4 @@
 	$_menu['Blog']->prependItem(__('Blog appearance'),'blog_theme.php','images/menu/themes.png',
 		preg_match('/blog_theme.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
-		$core->auth->check('admin',$core->blog->id));
-	$_menu['Blog']->prependItem(__('Blog settings'),'blog_pref.php','images/menu/blog-pref.png',
-		preg_match('/blog_pref.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('admin',$core->blog->id));
 	$_menu['Blog']->prependItem(__('Media manager'),'media.php','images/menu/media.png',
@@ -292,35 +217,4 @@
 		$core->auth->isSuperAdmin() ||
 		$core->auth->check('usage,contentadmin',$core->blog->id) && $core->auth->blog_count > 1);
-
-	// Set favorites menu
-	$ws = $core->auth->user_prefs->addWorkspace('favorites');
-	$count = 0;
-	foreach ($ws->dumpPrefs() as $k => $v) {
-		// User favorites only
-		if (!$v['global']) {
-			$count++;
-			$fav = unserialize($v['value']);
-			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
-				preg_match('/'.$fav['url'].'(\?.*)?$/',$_SERVER['REQUEST_URI']),
-				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-		}
-	}	
-	if (!$count) {
-		// Global favorites if any
-		foreach ($ws->dumpPrefs() as $k => $v) {
-			$count++;
-			$fav = unserialize($v['value']);
-			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
-				preg_match('/'.$fav['url'].'(\?.*)?$/',$_SERVER['REQUEST_URI']),
-				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-		}
-	}
-	if (!$count) {
-		// No user or global favorites, add "new entry" fav
-		$_menu['Favorites']->addItem(__('New entry'),'post.php','images/menu/edit.png',
-			preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
-			$core->auth->check('usage,contentadmin',$core->blog->id),'menu-new-post',null);
-	}
-	
 }
 ?>
Index: inc/core/class.dc.auth.php
===================================================================
--- inc/core/class.dc.auth.php	(revision 3)
+++ inc/core/class.dc.auth.php	(revision 0)
@@ -40,6 +40,4 @@
 	protected $perm_types;	///< <b>array</b> Permission types
 	
-	public $user_prefs;	///< <b>dcPrefs</b>	dcPrefs object
-	
 	/**
 	Class constructor. Takes dcCore object as single argument.
@@ -138,6 +136,4 @@
 		$this->user_options = array_merge($this->core->userDefaults(),$rs->options());
 		
-		$this->user_prefs = new dcPrefs($this->core,$this->user_id);
-		
 		# Get permissions on blogs
 		if ($this->findUserBlog() === false) {
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 40)
+++ inc/core/class.dc.media.php	(revision 2)
@@ -102,8 +102,4 @@
 		
 		$this->addFileHandler('image/jpeg','create',array($this,'imageMetaCreate'));
-		
-		$this->addFileHandler('image/jpeg','recreate',array($this,'imageThumbCreate'));
-		$this->addFileHandler('image/png','recreate',array($this,'imageThumbCreate'));
-		$this->addFileHandler('image/gif','recreate',array($this,'imageThumbCreate'));
 		
 		$this->addFileHandler('image/jpeg','recreate',array($this,'imageThumbCreate'));
@@ -911,5 +907,5 @@
 	/* Image handlers
 	------------------------------------------------------- */
-	public function imageThumbCreate($cur,$f,$force=true)
+	public function imageThumbCreate($cur,$f,$media_id,$force=true)
 	{
 		$file = $this->pwd.'/'.$f;
Index: inc/core_error.php
===================================================================
--- inc/core_error.php	(revision 3)
+++ inc/core_error.php	(revision 0)
@@ -27,5 +27,5 @@
 	font: 62.5%/1.5em "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
 	color : #000;
-	background : #E5E3DA;
+	background : #eceade;
 	margin : 0;
 	padding : 0;
Index: inc/dbschema/db-schema.php
===================================================================
--- inc/dbschema/db-schema.php	(revision 3)
+++ inc/dbschema/db-schema.php	(revision 0)
@@ -211,15 +211,4 @@
 	;
 
-$_s->pref
-	->pref_id		('varchar',	255,	false)
-	->user_id			('varchar',	32,	true)
-	->pref_ws		('varchar',	32,	false,	"'system'")
-	->pref_value	('text',		0,	true,	null)
-	->pref_type		('varchar',	8,	false,	"'string'")
-	->pref_label	('text',		0,	true)
-	
-	->unique('uk_pref','pref_ws','pref_id','user_id')
-	;
-
 /* References indexes
 -------------------------------------------------------- */
@@ -239,5 +228,4 @@
 $_s->meta->index		('idx_meta_post_id',	'btree','post_id');
 $_s->meta->index		('idx_meta_meta_type',	'btree','meta_type');
-$_s->pref->index		('idx_pref_user_id',			'btree',	'user_id');
 
 /* Performance indexes
@@ -268,5 +256,4 @@
 $_s->log->reference('fk_log_blog','blog_id','blog','blog_id','cascade','set null');
 $_s->meta->reference('fk_meta_post','post_id','post','post_id','cascade','cascade');
-$_s->pref->reference('fk_pref_user','user_id','user','user_id','cascade','cascade');
 
 /* PostgreSQL specific indexes
@@ -276,5 +263,4 @@
 	$_s->setting->index		('idx_setting_blog_id_null',	'btree',	'(blog_id IS NULL)');
 	$_s->media->index		('idx_media_media_path',		'btree',	'media_path', 'media_dir');
-	$_s->pref->index		('idx_pref_user_id_null',		'btree',	'(user_id IS NULL)');
 }
 ?>
